#ifndef KYFILEDIALOG_H
#define KYFILEDIALOG_H

#include <QFileDialog>
#include <QApplication>
#include <QWidget>
#include <QTreeWidget>
#include <QPushButton>
#include <QStringList>
#include <QModelIndex>
#include <QDir>
#include <QDebug>
#include <QListView>
#include <QTreeView>

//此类意在改写QFileDialog无法同时选定文件和文件夹的问题
class KyFileDialog : public QFileDialog
{
    Q_OBJECT
public:
    explicit KyFileDialog(QWidget *parent = Q_NULLPTR);

        QStringList getselectedFiles();

        //取消禁止选择文件
//        bool eventFilter( QObject* watched, QEvent* event );

    public slots:
        void chooseClicked();

    private:
        QListView *listView;
        QTreeView *treeView;
        QPushButton *openButton;
        QStringList _selectedFiles;
};

#endif // KYFILEDIALOG_H
